Bug 89884 - Icons for bold, italics and underline should not be tied to the English UI keyboard shortcuts
Summary: Icons for bold, italics and underline should not be tied to the English UI ke...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: All Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Theme-Sifr-old
  Show dependency treegraph
 
Reported: 2015-03-08 10:29 UTC by Roy Reese
Modified: 2019-06-29 22:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roy Reese 2015-03-08 10:29:26 UTC
The UI for KDE integration is great, but it would be slightly better if the symbols shown for font effects (Bold, Italics, Underscore) were similar to those used in the Gtk interface.

For those who know English and use shortcuts, seeing B, I, U induces us to use Ctrl-B, Ctrl-I, Ctrl-U at times, when the commands are different in other languages (in my case Spanish). The effect is similar to the Stroop Effect (https://en.wikipedia.org/wiki/Stroop_effect).

While the Gtk interface with effects applied to only one letter may seem less creative or elegant to some KDE users (a reverse enhancement, if you will!), it avoids this particular problem for bi- and multi-lingual users.

This may be a minor issue, but it has caused me to err a number of times -- and I am reporting it assuming it is easily changed/fixed.
Comment 1 Adolfo Jayme 2015-03-09 00:56:40 UTC
Thank you for your bug report.
Comment 2 Buovjaga 2019-04-09 17:39:16 UTC
This has nothing to do with KDE. This affects all icon themes except Tango.
Comment 3 andreas_k 2019-04-09 18:36:19 UTC
Screenshot please and the language you use.
Comment 4 Buovjaga 2019-04-09 18:43:27 UTC
(In reply to andreas_k from comment #3)
> Screenshot please and the language you use.

Oops, I did not realise that some icon themes do actually adapt! Colibre and Karasa Jaga show F, K, U in a German UI, but Breeze and Elementary show B, I, U. 

I forgot to say that Sifr shows a, a, a like Tango.
Comment 5 andreas_k 2019-04-17 13:11:45 UTC
will add the language support icons to breeze and Sifr language support to the icon themes.
Comment 6 Commit Notification 2019-04-17 20:27:14 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4f5f466767b1df78f35c71b768d2efde6d5cd31b%5E%21

tdf#89884 add language support icons to breeze

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 andreas_k 2019-04-21 21:51:30 UTC
Elementary is the only theme that need language support.
Comment 8 Commit Notification 2019-04-21 23:16:07 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b7f38a5e3b6ce1c32dd4e0ae90266b7aeb80d710%5E%21

tdf#89884 add language support icons to sifr

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-04-25 06:09:48 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0a188feea21176239adafa42118bc095e2d17d45%5E%21

Add more locale support (tdf#89884), fix duplicate items, etc

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-05-27 15:00:19 UTC
A polite ping to Rizal Muttaqin / Andreas Kainz:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 11 andreas_k 2019-05-28 12:49:43 UTC
for the common language the icon themes are prepaired for specific language we need native speakers so close this bug and wait until someone want to have them translated in there language.
Comment 12 Rizal Muttaqin 2019-06-17 15:38:03 UTC
(In reply to Xisco Faulí from comment #10)
> A polite ping to Rizal Muttaqin / Andreas Kainz:
> Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> Otherwise, Could you please explain what's missing?
> Thanks

Fix for elementary (and update for Karasa Jaga) are already sent. So, I reopened this till the patch go to the master and llibreoffice-6-3

https://gerrit.libreoffice.org/#/c/74180/
Comment 13 Commit Notification 2019-06-17 18:42:01 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c8f9bd9e1bc4c077d3fc3038d3a7147de0dfb0c7%5E%21

KJ & elementary: Fix for tdf#89884, tdf#124127

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-06-17 18:58:13 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/2ba589147cfd30b3cd7ff815f04a33520e2562c4%5E%21

KJ & elementary: Fix for tdf#89884, tdf#124127

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-06-29 22:20:51 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9f360ee0f72f9310bd689ff3c0c947cc99aeb19f%5E%21

Breeze: Fix for  tdf#126155, tdf#124127, tdf#89884,

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-06-29 22:25:55 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/4d82819b1e3bcb17ec29e64db5d176a64af06075%5E%21

Breeze: Fix for  tdf#126155, tdf#124127, tdf#89884,

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.